Results 1 to 4 of 4
Discuss I want to upgrade 3G from 3.1.3 at the Ultrasn0w (3G(S)/iPhone 4 unlock) - Hackint0sh.org; I am running 3.1.3 on a jailbroken 3G with T-Mobile service. I am happy with ...
  1. #1
    Rookie Array

    Join Date
    Dec 2007
    Posts
    26
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default I want to upgrade 3G from 3.1.3

    I am running 3.1.3 on a jailbroken 3G with T-Mobile service. I am happy with the 3.1.3 but want to use the QIK app which now requires an upgrade to 4.0+.

    Can I upgrade without losing all my saved apps?



  2. #2
    Super Moderator Array Olethros's Avatar

    Join Date
    Sep 2007
    Location
    Norway
    Posts
    8,360
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    439

    Default

    Quote Originally Posted by lgsr1 View Post
    I am running 3.1.3 on a jailbroken 3G with T-Mobile service. I am happy with the 3.1.3 but want to use the QIK app which now requires an upgrade to 4.0+.

    Can I upgrade without losing all my saved apps?
    Moved to a separate thread as you were clearly threadjacking.

    Okay there are three points to consider here.

    1. 4.x includes a soft-SHSH for the 3G iPhones, so any restore or update needs to be signed and approved by Apple. Now that iOS 4.1 has been released, Apple no longer signs/approves restore requests for 4.0, 4.0.1 or 4.0.2 (did you get your soft-shsh via Cydia for any iOS 4.0.x version?)
    2. iOS 4.1 has not yet been jailbroken for the 3G (will not take long for a jailbreak to be released).
    3. 4.1 also includes a baseband update that breaks ultrasn0w. There are no plans to make ultrasn0w work with the new baseband.



    These three points affect all iPhones with IOS 4.1

    You can use custom IPSW (pwnagetool) to go to ios4.0, that will bypass the SHSH check mentioned earlier.

    The performance on the 3G running 4.0 is particularly bad, this has been significantly improved in 4.1

    My advice is to wait for pwnagetool to be released for 4.1 / 3G, you need custom IPSW to stop your baseband being updated (as you are on t-mobile USA you rely on unlock). Also the performance is better with 4.1

    Also to answer your specific question: upgrading is possible, but you will lose unlock (and need to rejailbreak).
    What I recommend is to:

    1. Sync with iTunes, confirm that this also updates the backup of your iPhone
    2. Restore with pwnagetool custom IPSW (save unlock and jailbreak)
    3. Restore your apps and settings from iTunes backup.


    That works fine for most people, however some experience instability or poor battery life due to "old/junk settings" that are restored from your previous backup. Mostly a "reset network settings" fixes this.
    Last edited by Olethros; 09-12-2010 at 03:07 PM.
    Please read the stickies & search forum before posting!
    How to report an iTunes restore/update fail in a useful manner
    -

    iPad 3G 64GB (4.3.3, Redsn0w) oldest SHSH 3.2.2
    iPhone 4 32GB (4.2.1, Redsn0w JB-monte) oldest SHSH 4.1
    iPhone 3GS 32GB (4.3.3; Pwnagetool) factory unlocked oldest SHSH 3.1
    iPhone 8GB (3.1.3; Pwnagetool) AT&T Locked - Unlocked with bootneuter

    -
    Did we solve your problem? Got a dollar or two spare ? Donate!

  3. #3
    Newbie Array

    Join Date
    Sep 2011
    Posts
    1
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Exclamation 3GS Upgrade: 3.1.3 to 4.x

    Hello... OK first of all i'm new to this. I've looked everywhere but most of the stuff i find is outdated and I feel as i'm very behind lol....
    here is my problem...

    I have just got an iphone 3gS with 3.1.3 and firmware is 05.11.07... I have jailbroken it with jailbreakme and unlocked with ultrasn0w.

    Now I want/need to upgrade to atleast 4.0 so i can use the multitasking feature and other apps.
    Plus I'm not using ATT and would like to ugrade to something in which i can use any carrier...

    I've read about shsh blobs and custom ipsw over and over again but just dont understand it. :-(

    Can anyone please help me out? Please post any links you might have also.
    THANK YOU.

  4. #4
    Super Moderator Array Olethros's Avatar

    Join Date
    Sep 2007
    Location
    Norway
    Posts
    8,360
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    439

    Default

    Quote Originally Posted by UltraSpy View Post
    Hello... OK first of all i'm new to this. I've looked everywhere but most of the stuff i find is outdated and I feel as i'm very behind lol....
    here is my problem...

    I have just got an iphone 3gS with 3.1.3 and firmware is 05.11.07... I have jailbroken it with jailbreakme and unlocked with ultrasn0w.

    Now I want/need to upgrade to atleast 4.0 so i can use the multitasking feature and other apps.
    Plus I'm not using ATT and would like to ugrade to something in which i can use any carrier...

    I've read about shsh blobs and custom ipsw over and over again but just dont understand it. :-(

    Can anyone please help me out? Please post any links you might have also.
    THANK YOU.
    You are threadjacking an unrelated thread. Please try to understand that advice for one model (say an iPhone 3G) may not be correct for another model (3GS, 2G, Iphone 4) etc.

    I'm not going to answer your questions in this thread (as that will just exacerbate the threadjacking) but my suggestion is you keep on reading about SHSH until you DO understand it! Then if you still have questions, ask in a thread that specifically relates to the problem you have.
    Please read the stickies & search forum before posting!
    How to report an iTunes restore/update fail in a useful manner
    -

    iPad 3G 64GB (4.3.3, Redsn0w) oldest SHSH 3.2.2
    iPhone 4 32GB (4.2.1, Redsn0w JB-monte) oldest SHSH 4.1
    iPhone 3GS 32GB (4.3.3; Pwnagetool) factory unlocked oldest SHSH 3.1
    iPhone 8GB (3.1.3; Pwnagetool) AT&T Locked - Unlocked with bootneuter

    -
    Did we solve your problem? Got a dollar or two spare ? Donate!

 

 

Similar Threads

  1. Replies: 2
    Last Post: 07-20-2008, 05:20 PM
  2. [Upgrade]OTB 1.1.2 Upgrade to 1.1.4 W/O Unlock/Activate/Jailbreak
    By Allingby in forum iPhone "2G" (Rev. 1)
    Replies: 2
    Last Post: 05-13-2008, 10:36 AM
  3. Replies: 8
    Last Post: 03-18-2008, 04:37 AM
  4. Replies: 0
    Last Post: 01-25-2008, 08:37 PM
  5. [1.1.3] Jailbreak/Upgrade, does 1.1.2u unlock Survive upgrade?
    By mdfreeman in forum iPhone "2G" (Rev. 1)
    Replies: 5
    Last Post: 01-25-2008, 04:27 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 02:16 AM.
twitter, follow us!